@import "variables";
@import "mixins/breakpoints";

$width-sidebar-header: 3.65rem;

.container-sidebar {
  width: 100vw;
  transition: all 500ms linear;
  display: grid;
  grid-template-columns: $width-menu-expanded 1fr;
  overflow: hidden;

  .container-product-logo {
    padding: 27px 23px 50px;
    position: relative;

    img {
      position: absolute;
    }
  }

  .float-button {
    background: $neutral;
    border-radius: 12.1297px;
    box-shadow: 0px 3px 5px rgba(9, 30, 66, 0.2);
    cursor: pointer;
    display: flex;
    float: right;
    margin-right: -14px;
    margin-top: 20px;
    padding: 9px;
    position: relative;
    width: fit-content;
    z-index: 9;

    .img {
      pointer-events: none;
    }
  }

  @include to(mobile-l) {
    position: relative;
    grid-template-columns: 0 1fr;
  }

  .content-page {
    width: calc(100vw - $width-menu-expanded);
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    transition: width 500ms linear;

    ::ng-deep .navbar {
      @include to(mobile-l) {
        position: fixed;
        right: 0;
        left: $width-sidebar-header;
      }
    }

    ::ng-deep .content {
      @include to(mobile-l) {
        margin-top: 3.2rem;
      }
    }
  }
}

.base-sidebar-collapsed {
  grid-template-columns: $width-menu-collapsed 1fr;

  ::ng-deep {
    .container-item-menu {
      padding: 12px 20px;

      .item-menu {
        padding: 5.5px 9px !important;
      }
    }

    .container-menu-accordion {
      padding: 0;
    }

    .item-menu {
      .item-label,
      i {
        width: 0;
        overflow: hidden;
        margin-left: 0;
        opacity: 0;
      }
    }
  }

  .content-page {
    width: calc(100vw - $width-menu-collapsed);
    margin-left: $width-menu-collapsed;
  }
}

.sidebar {
  background: white;
  transition: width 200ms ease-in-out;
  width: $width-menu-expanded;
  z-index: 9;
  position: fixed;
  left: 0;
  &.closed {
    width: 5rem;
  }

  &__items {
    max-height: 90vh;
    overflow: auto;
  }

  &__footer {
    margin: 2rem auto;
    width: 100%;
    .icon {
      margin: 0 auto;
    }
  }
}

.content-page {
  margin-left: $width-menu-expanded;
}
